Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Class CaretEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.custom.CaretEvent

All Implemented Interfaces:
  Serializable

    public class CaretEvent

extends TypedEvent

This event is sent when the caret offset changes.

Since:
  3.5
See Also:
  Sample code and further information, Serialized Form

Field Summary
`int` `caretOffset` caret offset

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Method Summary

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### caretOffset

    public int caretOffset

  caret offset

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.